Bug 652938 - hdapsd daemon is never activated
Summary: hdapsd daemon is never activated
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: hdapsd
Version: 14
Hardware: x86_64
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Tomasz Torcz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 16:18 UTC by Stephan Groß
Modified: 2010-11-25 23:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-14 18:40:24 UTC
Type: ---


Attachments (Terms of Use)

Description Stephan Groß 2010-11-13 16:18:58 UTC
Description of problem:
hdapsd daemon does not automatically start for appropriate devices. Manual start works fine.

Version-Release number of selected component (if applicable):
hdapsd-20090401-4.fc14.X86_64

How reproducible:
100%

Steps to Reproduce:
1. Install hdapsd package on a system supporting this feature.
2. Reboot the system.
3. Check the system processes to see, if hdapsd is running or check /var/log/messages to see if it was running at all.
  
Actual results:
hdapsd daemon is not running, and has not even be called

Expected results:
hdapsd should be either running or at least should generate some error message in the system log.

Additional info:
The daemon works fine if I start it manually. I assume that there is some error when moving to the new systemd scripts for starting the daemon.

Comment 1 Tomasz Torcz 2010-11-13 21:33:33 UTC
Are you using upstart or systemd?  Upstart startup was never reliable, but I'm going to look into this issue and maybe provide SysV-init script also.

Comment 2 Stephan Groß 2010-11-14 18:40:24 UTC
(In reply to comment #1)
> Are you using upstart or systemd?  Upstart startup was never reliable, but I'm
> going to look into this issue and maybe provide SysV-init script also.

OK, installing systemd did the trick (although it is a bit tricky to deinstall upstart-sysvinit and you also have to exclude of being upgrade via yum). What a pitty, that F14 reverted to upstart by a last minute decision. systemd seems to work fairly well on my X201 Tablet.

Thus, I set the status to closed although it might be a good decision to patch the hdapsd package so that it works with upstart as it is installed by default on F14.


Note You need to log in before you can comment on or make changes to this bug.